View Issue Details

IDProjectCategoryView StatusLast Update
0000787DCP-o-matic[All Projects] Bugspublic2016-07-04 14:14
ReportercarmelocoAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntel i7OSWindows 10 64 bitOS VersionWindows 10 64 bi
Product Version2.6.0 
Target VersionFixed in Version 
Summary0000787: Programming error at ../src/lib/ffmpeg_subtitle_stream.cc:63 with version 2.6.16
DescriptionThe error appears adding some .m2ts files with multi-stream subtitle.
Steps To ReproduceOnly, add file in a new DCP, and add the .m2ts file
Additional InformationI attach a screen capture, and the log files, but I think that this files don't add more information.
TagsNo tags attached.
Estimated work requiredAverage

Activities

carmeloco

2016-01-14 20:58

reporter  

subtitle_stream.jpg (129,082 bytes)
subtitle_stream.jpg (129,082 bytes)

carmeloco

2016-01-14 20:59

reporter  

log (607 bytes)
14/01/2016 21:41:1: Sub-job Computing digest starting
14/01/2016 21:41:1: Sub-job Finding subtitles starting
14/01/2016 21:41:4: ERROR: Programming error at ../src/lib/ffmpeg_subtitle_stream.cc:63
14/01/2016 21:41:4: ERROR: It is not known what caused this error.  Please report this problem by using Help -> Report a problem or via email to carl@dcpomatic.com
14/01/2016 21:41:4: ERROR: Error in job: Programming error at ../src/lib/ffmpeg_subtitle_stream.cc:63 (It is not known what caused this error.  Please report this problem by using Help -> Report a problem or via email to carl@dcpomatic.com)
log (607 bytes)

carmeloco

2016-01-14 20:59

reporter  

ffprobe.log (4,084 bytes)

carmeloco

2016-01-15 07:25

reporter   ~0001106

I'm uploading the 25GB .m2ts file to onedrive. This must take over three days. Please, be patient. When the upload will be done, I will put the download link.

carl

2016-01-27 15:52

administrator   ~0001121

Thank you for uploading. I am downloading now.

carl

2016-02-01 01:54

administrator   ~0001123

Should be fixed by 22873931f874a87fcf6a0077eddbec0f97eb3423 (2.6.17).

Issue History

Date Modified Username Field Change
2016-01-14 20:58 carmeloco New Issue
2016-01-14 20:58 carmeloco File Added: subtitle_stream.jpg
2016-01-14 20:59 carmeloco File Added: log
2016-01-14 20:59 carmeloco File Added: ffprobe.log
2016-01-15 07:25 carmeloco Note Added: 0001106
2016-01-27 15:52 carl Note Added: 0001121
2016-01-31 21:02 carl Assigned To => carl
2016-01-31 21:02 carl Status new => confirmed
2016-02-01 01:54 carl Note Added: 0001123
2016-02-01 01:54 carl Status confirmed => resolved
2016-02-01 01:54 carl Resolution open => fixed